Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Row

    java.lang.Object
      |
      +--org.hsqldb.Row

class Row
extends java.lang.Object

Class declaration

Field Summary
`(package private) boolean` | `bChanged`
`(package private) static int` | `iCurrentAccess`
`(package private) int` | `iLastAccess`
`(package private) int` | `iPos`
`(package private) int` | `iSize`
`(package private) Row` | `rLast`
`(package private) Row` | `rNext`

Constructor Summary
`(package private)` | `Row(Table t, java.io.DataInput in, int pos, Row before)` Constructor declaration
`(package private)` | `Row(Table t, java.lang.Object[] o)` Constructor declaration

Method Summary
`(package private) boolean` | `canRemove()` Method declaration
`(package private) void` | `changed()` Method declaration
`(package private) void` | `cleanUpCache()` Method declaration
`(package private) void` | `delete()` Method declaration
`(package private) void` | `free()` Method declaration
`(package private) java.lang.Object[]` | `getData()` Method declaration
`(package private) Node` | `getNode(int index)` Method declaration
`(package private) Node` | `getNode(int pos, int index)` Method declaration
`(package private) void` | `insert(Row before)` Method declaration
`(package private) byte[]` | `write()` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iCurrentAccess

    static int iCurrentAccess

### iLastAccess

    int iLastAccess

### rLast

    Row rLast

### rNext

    Row rNext

### iPos

    int iPos

### iSize

    int iSize

### bChanged

    boolean bChanged

Constructor Detail

### Row

    Row(Table t,
        java.lang.Object[] o)
    throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `t` -
    `o` -

### Row

    Row(Table t,
        java.io.DataInput in,
        int pos,
        Row before)
    throws java.io.IOException,
           java.sql.SQLException

  Constructor declaration
  Parameters:
    `t` -
    `in` -
    `pos` -
    `before` -

Method Detail

### cleanUpCache

    void cleanUpCache()
                throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### changed

    void changed()

  Method declaration

### getNode

    Node getNode(int pos,
                 int index)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `pos` -
    `index` -
  Returns:
  Throws:
    java.sql.SQLException -

### getNode

    Node getNode(int index)

  Method declaration
  Parameters:
    `index` -
  Returns:

### getData

    java.lang.Object[] getData()

  Method declaration
  Returns:

### insert

    void insert(Row before)

  Method declaration
  Parameters:
    `before` -

### canRemove

    boolean canRemove()
                throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### write

    byte[] write()
           throws java.io.IOException,
                  java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.io.IOException -
    java.sql.SQLException -

### delete

    void delete()
          throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### free

    void free()
        throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD